## ros-indigo-world-canvas-client-examples 0.1.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(world_canvas_client_examples)

find_package(catkin REQUIRED COMPONENTS
  roscpp
  unique_id
  uuid_msgs
  nav_msgs
  yocs_msgs
  world_canvas_msgs
  world_canvas_client_cpp
)

catkin_package(
  CATKIN_DEPENDS roscpp unique_id uuid_msgs nav_msgs yocs_msgs world_canvas_msgs world_canvas_client_cpp
)
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
include_directories(${catkin_INCLUDE_DIRS})

add_executable(test_annotation_collection src/test_annotation_collection.cpp)
target_link_libraries(test_annotation_collection ${catkin_LIBRARIES})

install(TARGETS test_annotation_collection DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

=== debian/changelog ===
ros-indigo-world-canvas-client-examples (0.1.0-1trusty) trusty; urgency=high

  * First release

 -- Jorge Santos <jsantossimon@gmail.com>  Thu, 27 Nov 2014 23:00:00 -0000

=== debian/control ===
Source: ros-indigo-world-canvas-client-examples
Section: misc
Priority: extra
Maintainer: Jorge Santos <jsantossimon@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-nav-msgs, ros-indigo-roscpp, ros-indigo-unique-id, ros-indigo-uuid-msgs, ros-indigo-world-canvas-client-cpp, ros-indigo-world-canvas-msgs, ros-indigo-yocs-msgs
Homepage: http://ros.org/wiki/world_canvas_client_examples
Standards-Version: 3.9.2

Package: ros-indigo-world-canvas-client-examples
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-nav-msgs, ros-indigo-roscpp, ros-indigo-unique-id, ros-indigo-uuid-msgs, ros-indigo-world-canvas-client-cpp, ros-indigo-world-canvas-client-py, ros-indigo-world-canvas-msgs, ros-indigo-yocs-msgs
Description: Examples showing how to use C++ and Python client libraries to access semantic maps within the world canvas framework.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-world-canvas-client-examples//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
